Summary:	Additional GTK support code for colord
Name:		colord-gtk
Version:	0.1.25
Release:	1%{?_dist_release}
License:	LGPLv2+
Group:		Applications/System
URL:		http://gitorious.org/colord/colord-gtk
Source0:	http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz

BuildRequires:	colord-devel >= 0.1.23
BuildRequires:	gtk3-devel >= 3.0.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Additional GTK support code for colord


%package	devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libcolord-gtk.so.*
%{_libdir}/girepository-1.0/ColordGtk-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/colord-1
%{_libdir}/libcolord-gtk.so
%{_libdir}/pkgconfig/colord-gtk.pc
%{_datadir}/gir-1.0/ColordGtk-1.0.gir


%changelog
* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.25-1
- new upstream release

* Thu Jan 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.24-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.23-1
- initial build
