Summary: Symbolic GNOME icons
Name: gnome-icon-theme-symbolic
Version: 3.8.3
Release: 1%{?_dist_release}
Source0: http://download.gnome.org/sources/%{name}/3.8/%{name}-%{version}.tar.xz
License: CC-BY-SA
BuildArch: noarch
Group: User Interface/Desktops
BuildRequires: icon-naming-utils >= 0.8.7
Requires: gnome-icon-theme >= 2.30.2.1-2

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
This package contains symbolic icons for use by the GNOME desktop.

%prep
%setup -q

%build
export ac_cv_path_GTK_UPDATE_ICON_CACHE=/bin/true

%configure

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/gnome &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/gnome &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_datadir}/icons/gnome/*
%{_datadir}/pkgconfig/gnome-icon-theme-symbolic.pc

%changelog
* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2.2-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0.1-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sat Mar 31 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Sat Jan 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Thu Oct 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- initial build for Vine Linux


* Mon Jul 25 2011 Matthias Clasen <mclasen@redhat.com> - 3.1.4-1
- Update to 3.1.4

* Sat May 07 2011 Christopher Aillon <caillon@redhat.com> - 3.0.0-2
- Update icon cache scriptlet

* Tue Apr  5 2011 Christopher Aillon <caillon@redhat.com> 3.0.0-1
- Update to 3.0.0

* Tue Mar 29 2011 Matthias Clasen <mclasen@redhat.com> 2.91.93-1
- Update to 2.91.93

* Tue Mar 22 2011 Christopher Aillon <caillon@redhat.com> 2.91.92-1
- Update to 2.91.92

* Tue Feb 22 2011 Matthias Clasen <mclasen@redhat.com> - 2.91.7-1
- Update to 2.91.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb  3 2011 Christopher Aillon <caillon@redhat.com> - 2.91.6-1
- Update to 2.91.6

* Wed Aug 18 2010 Matthias Clasen <mclasen@redhat.com> - 2.31.0-1
- Update to 2.31.0

* Fri May 21 2010 Bastien Nocera <bnocera@redhat.com> 2.30.0-3
- Require gnome-icon-theme-2.30.2.1-2 so that we have scalable
  directories

* Fri Apr 30 2010 Bastien Nocera <bnocera@redhat.com> 2.30.0-2
- Updated for review comments

* Thu Apr 29 2010 Bastien Nocera <bnocera@redhat.com> 2.30.0-1
- First build

