Name: kteatime
Summary: A handy timer for steeping tea
Version: 4.11.1
Release: 1%{?_dist_release}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

License: GPLv2
Group: Applications/Accessories
URL: http://www.kde.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Kteatime is a handy timer for steeping tea. No longer will you have
to guess at how long it takes for your tea to be ready. Simply select
the type of tea you have, and it will alert you when the tea is readyxi
to drink.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING COPYING.DOC
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}
%{_docdir}/HTML/*/*/

%changelog
* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

