%define	_fontdir %{_datadir}/fonts/OpenType-source-sans-pro
%define _fontname SourceSansPro_FontsOnly

Summary: A set of OpenType fonts designed for user interfaces 
Summary(ja): ユーザーインターフェース向けにデザインされた OpenType フォントセット
Name: OpenType-source-sans-pro
Version: 1.050
Release: 1%{?_dist_release}
License: OFL
Group: User Interface/X
URL: http://sourceforge.net/projects/sourcesans.adobe/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source:	http://sourceforge.net/projects/sourcesans.adobe/files/%{_fontname}-%{version}.zip
BuildRequires: unzip

%description
Source Sans is a set of OpenType fonts that have been designed 
to work well in user interface (UI) environments, 
as well as in text setting for screen and print.

%package doc
Summary: Source Sans pro font documents
Summary(ja): Source sans pro フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Source Sans pro fonts
includes enduser license.

%description -l ja doc
このパッケージには Source Sans pro フォントのライセンスを含む
ドキュメント類が含まれています。

%prep
%setup -q -n %{_fontname}-%{version}

%clean
if test -n "%{buildroot}" && test "/" != "%{buildroot}"; then
    rm -rf %{buildroot}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_fontdir}
cp -a OTF/*.otf %{buildroot}%{_fontdir}

%post
%__font_install_post %{fontdir}

%postun
%__font_install_postun %{fontdir}

%files
%defattr(-,root,root,-)
%{_fontdir}/*.otf

%files doc
%defattr(-,root,root,-)
%doc LICENSE.txt ReadMe.html SourceSansProReadMe.html

%changelog
* Sun May 05 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.050-1
- initial build for Vine Linux
