%define ver 0.4.3
%define rel 1

Summary: simple activity-diagram image generator
Summary(ja): シンプルなテキストからアクティビティ図を生成するツール
Name: actdiag
Version: %{ver}
Release: %{rel}%{?_dist_release}

License: Apache License 2.0
Group: Applications/Text
URL: http://blockdiag.com/ja/actdiag/
Source0: http://pypi.python.org/packages/source/a/actdiag/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
Requires: python >= 2.4
Requires: python(abi) = %pyver
Requires: python-imaging >= 1.1.5
Requires: python-funcparserlib >= 0.3.4

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
actdiag generate activity-diagram image file from spec-text file.

%prep
%setup -q

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc src/README.txt src/TODO.txt LICENSE
%{_bindir}/actdiag
%{python_sitelib}/actdiag-%{ver}-py*.egg-info
%{python_sitelib}/actdiag
%{python_sitelib}/actdiag_sphinxhelper.*

%changelog
* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 0.4.3-1
- new upstream release
 - drop sphinxcontrib_actdiag.*: upstream removed
- add Requires: python(abi) = %%pyver
- add Summary(ja)
- update URL: upstream moved

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.5-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.1.5-1
- Initial build.
