#% global posttag svn18423
Name:		ffmpeg2theora
Version:	0.29
Release: 	1%{?posttag:.%{posttag}}%{?_dist_release}
Summary:	Convert any file that ffmpeg can decode to theora
Summary(ja): 	ffmpeg がデコード可能なファイルを theora に変換するツール
Source0:	http://www.v2v.cc/~j/ffmpeg2theora/downloads/%{name}-%{version}.tar.bz2
Source10:	ffmpeg2theora-snapshot.sh
#Patch0:		ffmpeg2theora-0.28+%{posttag}.patch
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://www.v2v.cc/~j/ffmpeg2theora/

BuildRequires:  scons
BuildRequires:	libogg-devel >= 1.1
BuildRequires:	libtheora-devel >= 1.1.0
BuildRequires:	libvorbis-devel
### *-devel pacages provided by other self-build-* should only be listed
### in self-build-%{name}.spec as PreReq.
#
# BuildRequires:	ffmpeg-devel >= 0.10
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
With ffmpeg2theora you can convert any file that ffmpeg can
decode to theora. right now the settings are hardcoded into
the binary. the idea is to provide ffmpeg2theora as a binary
along sites like v2v.cc to enable as many people as possible
to encode video clips with the same settings.

%description -l ja
ffmpeg2theora を使えば ffmpeg がデコードできるどんな種類のファイル
でも theora 形式に変換できます。現状、設定情報はハードコードされて
います。


%prep
%setup -q

#%patch0 -p1 -b .orig

%build
scons APPEND_CCFLAGS="$RPM_OPT_FLAGS"


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
scons install destdir=$RPM_BUILD_ROOT prefix=%{_prefix}
%__mkdir_p $RPM_BUILD_ROOT%{_mandir}/man1
%__mv $RPM_BUILD_ROOT%{_prefix}/man/man1/ffmpeg2theora.1 $RPM_BUILD_ROOT%{_mandir}/man1
%__rm -rf $RPM_BUILD_ROOT%{_prefix}/man


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/ffmpeg2theora
%{_mandir}/man1/ffmpeg2theora.1.gz

%changelog
* Mon Feb  4 2013 Munehiro Yamamoto <munepi@vinelinux.org> 0.29-1
- new upstream release

* Sat Jun 23 2012 Munehiro Yamamoto <munepi@vinelinux.org> 0.28-2.svn18423
- update to the latest upstream commit
  - for ffmpeg 0.10 compatibility

* Sun Dec 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.28-1
- new upstream release
- License: GPLv2+

* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> - 0.27-1
- new upstream release
- fixed the location of %%Source0

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.25-2
- change release to sync with self-build-ffmpeg2theora

* Thu Feb 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.25-1
- new upstream release
  - with recent ffmpeg

* Sat Jun 20 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.24-1
- new upstream release

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.23-2
- change release to sync with self-build-ffmpeg2theora

* Wed Feb 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.23-1
- new upstream release
- dropped ffmpeg2theora-0.20-new_ffmpeg.patch
- added BuildRequires: scons

* Sat May 17 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.20-2
- spec in utf8

* Sat May 17 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.20-1
- initial build for Vine Linux
