%define ver 0.8.2
%define rel 1

Summary: simple sequence-diagram image generator
Summary(ja): シンプルなテキストからシーケンス図を生成するツール
Name: seqdiag
Version: %{ver}
Release: %{rel}%{?_dist_release}

License: Apache License 2.0
Group: Applications/Text
URL: http://blockdiag.com/ja/seqdiag/
Source0: http://pypi.python.org/packages/source/s/seqdiag/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
Requires: python >= 2.4
Requires: python(abi) = %pyver
Requires: python-imaging >= 1.1.5
Requires: python-funcparserlib >= 0.3.4

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
seqdiag generate sequence-diagram image file from spec-text file.

%prep
%setup -q

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc examples src/README.txt src/TODO.txt
%{_bindir}/seqdiag
%{python_sitelib}/seqdiag-%{ver}-py*.egg-info
%{python_sitelib}/seqdiag
%{python_sitelib}/seqdiag_sphinxhelper.*

%changelog
* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 0.8.2-1
- new upstream release
 - drop sphinxcontrib_seqdiag.*: upstream removed
- add Requires: python(abi) = %%pyver
- add Summary(ja)
- update URL: upstream moved

* Wed Feb 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.3-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.3.3-1
- Initial build.

